package com.factory.web.entity.pm;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 任务审批
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@TableName("onsite_approval_task")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OnsiteApprovalTask {

	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "任务审批id")
	private Long id;

	@ApiModelProperty(value = "任务id")
	private Long onsiteTaskId;

	@ApiModelProperty(value = "1代表1级别审批 2代表2级别审批")
	private Integer approvalLevel;

	@ApiModelProperty(value = "审批人")
	private Long approvalUserId;
	
	@ApiModelProperty(value = "审批状态 0初始化 1放行")
	private Integer status;

}
