package com.factory.web.mapper.pm;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.factory.base.entity.po.benteler.BentelerPlan;
import com.factory.web.entity.pm.req.SearchApprovalUserReq;
import com.factory.web.entity.pm.req.SearchPmItemResultListReq;
import com.factory.web.entity.pm.req.SearchPmPlanListForPadReq;
import com.factory.web.entity.pm.req.SearchPmPlanListReq;
import com.factory.web.entity.pm.req.SearchPmPlanReq;
import com.factory.web.entity.pm.res.ApprovalUserRes;
import com.factory.web.entity.pm.res.PmItemResultListRes;
import com.factory.web.entity.pm.res.PmPlanListForPadRes;
import com.factory.web.entity.pm.res.PmPlanListRes;
import com.factory.web.entity.pm.res.PmTaskListRes;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Mapper
public interface PreventMistakeMapper extends BaseMapper<BentelerPlan> {

	/**
     * 取得防错计划列表
     * @param page
     * @param req
     * @return 防错计划列表
     */
    public Page<PmPlanListRes> getPmPlanList(@Param("page") Page page, @Param("req") SearchPmPlanListReq req);
    
    /**
     * 取得防错计划当天任务信息
     * @param req
     * @return 防错计划当天任务信息
     */
    public List<PmTaskListRes> getTaskList(@Param("req") SearchPmPlanReq req);
    
    /**
     * 取得检查记录列表
     * @param req
     * @return 检查记录列表
     */
    public List<PmItemResultListRes> getPmItemResultList(@Param("req") SearchPmItemResultListReq req);
    
    /**
     * 取得Pad端防错计划列表
     * @param req
     * @return Pad端防错计划列表
     */
    public List<PmPlanListForPadRes> getPmPlanListForPad(@Param("req") SearchPmPlanListForPadReq req);
    
    /**
     * 取得审批人
     * @param req
     * @return 审批人
     */
    public ApprovalUserRes getApprovalUser(@Param("req") SearchApprovalUserReq req);
}
